/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file tag_empty.cc
/// @brief Class for empty tag source file.

#include "../include/tag_empty.h"
#include "../include/misc.h"

EmptyTag::EmptyTag(const std::string& filename)
{
    title_ = StringToUTF8::Instance().Convert(Glib::path_get_basename(filename));
}

void EmptyTag::ProcessYear()
{}

void EmptyTag::ProcessTrack()
{}

void EmptyTag::ProcessAlbum()
{}

void EmptyTag::ProcessGenre()
{}

void EmptyTag::ProcessArtist()
{}

void EmptyTag::ProcessComment()
{}

std::auto_ptr<Tag> CreateEmptyTag(const std::string& filename)
{
    return std::auto_ptr<Tag>(new EmptyTag(filename));
}
