/* -*- Mode: C++; tab-width: 4; indent-tabs-mod: nil; c-basic-offset: 4 -*- */
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file urldlg.cc
/// @brief Class for 'URL add dialog' source file. 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <libintl.h>

#include <gtkmm/box.h>
#include <gtkmm/stock.h>

#include "../include/urldlg.h"

UrlDlg::UrlDlg(Gtk::Window& parent)
    : urlDlg_(gettext("Add a URL"), parent)
{
    DialogInit();

    LabelInit();

    EntryInit();

    DialogPacking();

    DialogAddButtons();

    urlDlg_.show_all_children();
}

void UrlDlg::OnEntryActivate()
{
    urlDlg_.response(Gtk::RESPONSE_OK);

    urlDlg_.hide();
}

void UrlDlg::LabelInit()
{
    infoLabel_.set_label(gettext("<span weight=\"bold\">A URL to add to list</span>"));
    infoLabel_.set_alignment(0.0, 0.0);
    infoLabel_.set_use_markup(true);
}

void UrlDlg::DialogPacking()
{
    Gtk::HBox* hBox = manage(new Gtk::HBox(false, 6));
    hBox->set_border_width(12);
    Gtk::VBox* vBox = manage(new Gtk::VBox(false, 6));
    urlDlg_.get_vbox()->pack_start(*hBox);
    hBox->pack_start(*vBox);

    vBox->pack_start(infoLabel_); 
    vBox->pack_start(urlEntry_);
}

void UrlDlg::DialogAddButtons()
{
    Gtk::Button* const cancelBtn = urlDlg_.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
    cancelBtn->signal_clicked().connect(sigc::mem_fun(urlDlg_, &Gtk::Widget::hide));

    Gtk::Button* const okBtn = urlDlg_.add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);
    okBtn->signal_clicked().connect(sigc::mem_fun(urlDlg_, &Gtk::Widget::hide));
}
